package syncloud.synchronization;

import syncloud.core.CoreException;
import syncloud.storage.IFolder;

import java.util.List;

public interface ISynchronizer {
    ISyncRecord getRecord();
    IConflictResolver getResolver();

    void synchronize(List<IFolder> folders) throws CoreException;
}
