package syncloud.synchronization.nodes;

import syncloud.storage.IFolder;
import syncloud.storage.INode;

public class SyncNodeState {
    public SyncNodeState(SyncNode syncNode, NodeState state) {
        this.syncNode = syncNode;
        this.state = state;
    }

    public SyncNode syncNode;
    public NodeState state;

    public SyncNode getSyncNode() {
        return syncNode;
    }

    public String getFullname() {
        return this.syncNode.getFullname();
    }

    public IFolder getParent() {
        return this.syncNode.getParent();
    }

    public INode getNode() {
        return this.syncNode.getNode();
    }

    public void setNode(INode node) {
        this.syncNode.setNode(node);
    }

    public NodeState getState() {
        return state;
    }
}
